export interface FunctionsMap {
    [key: string]: FunctionData;
}
export interface FunctionsLevel {
    [key: string]: FunctionInstance;
}
export interface FunctionData {
    name: string;
    displayName: string;
    index: number;
    instances: FunctionInstance[];
    filtered?: boolean;
}
export interface FunctionInstance {
    level: number;
    name: string;
    ticks: number;
    ticksNormalized: number;
}
export interface FunctionRegression {
    name: string;
    displayName: string;
}
export interface ProcessedData {
    functions: FunctionData[];
    functionsMap: FunctionsMap;
    numLevels: number;
    numTicks: number;
}
export interface FunctionalAnalysis {
    summary: string;
    isRegression: boolean;
}
/**
 * Analyzes processed perf.
 *
 * @param {string} datafileBaseline Baseline data.
 * @param {string} datafile Scenario data.
 */
export declare function analyzeFunctions(datafileBaseline: string, datafile: string): FunctionalAnalysis;
declare function filterMinifiedNames(functions: FunctionData[]): FunctionData[];
declare function filterSystemNames(functions: FunctionData[]): FunctionData[];
export declare const __unitTestHooks: {
    filterMinifiedNames: typeof filterMinifiedNames;
    filterSystemNames: typeof filterSystemNames;
};
export {};
//# sourceMappingURL=functional.d.ts.map