import { ScenarioProfile, ScenarioProfiles, ScenarioProfileConfig } from '../profile';
export interface ProcessedOutput {
    dataFile: string;
    flamegraphFile: string;
}
export interface ProcessedError {
    errorFile: string;
}
export interface Processed {
    output?: ProcessedOutput;
    error?: ProcessedError;
}
export interface ProcessedScenario extends Processed {
    baseline?: Processed;
}
export interface ProcessedScenarios {
    [scenarioName: string]: ProcessedScenario;
}
export declare function processProfiles(profiles: ScenarioProfiles, config: ScenarioProfileConfig): Promise<ProcessedScenarios>;
declare function processProfile(profile: ScenarioProfile, outFile: string): Promise<Processed>;
export declare const __unitTestHooks: {
    processProfile: typeof processProfile;
};
export {};
//# sourceMappingURL=process.d.ts.map